Loading...
Searching...
No Matches
OBElectronicTransitionData Class Reference

`#include <openbabel/generic.h>`

Inheritance diagram for OBElectronicTransitionData:
[legend]

## Public Member Functions

| OBElectronicTransitionData ()
virtual | ~OBElectronicTransitionData ()
virtual OBGenericData * | Clone (OBBase *) const
OBElectronicTransitionData & | operator= (const OBElectronicTransitionData &)
void | SetData (const std::vector< double > &wavelengths, const std::vector< double > &forces)
void | SetEDipole (const std::vector< double > &)
void | SetRotatoryStrengthsVelocity (const std::vector< double > &)
void | SetRotatoryStrengthsLength (const std::vector< double > &)
std::vector< double > | GetWavelengths () const
std::vector< double > | GetForces () const
std::vector< double > | GetEDipole () const
std::vector< double > | GetRotatoryStrengthsVelocity () const
std::vector< double > | GetRotatoryStrengthsLength () const
void | SetAttribute (const std::string &v)
void | SetOrigin (const DataOrigin s)
virtual const std::string & | GetAttribute () const
unsigned int | GetDataType () const
virtual const std::string & | GetValue () const
virtual DataOrigin | GetOrigin () const

## Protected Attributes

std::vector< double > | _vWavelengths
std::vector< double > | _vForces
std::vector< double > | _vEDipole
std::vector< double > | _vRotatoryStrengthsVelocity
std::vector< double > | _vRotatoryStrengthsLength
std::string | _attr
unsigned int | _type
DataOrigin | _source

## Detailed Description

Used to hold information about electronic transitions.

## Constructor & Destructor Documentation

## OBElectronicTransitionData()

OBElectronicTransitionData | ( |  | ) |

inline

Referenced by Clone(), and operator=().

## ~OBElectronicTransitionData()

virtual ~OBElectronicTransitionData | ( |  | ) |

inline virtual

## Member Function Documentation

## Clone()

virtual OBGenericData * Clone | ( | OBBase * |  | ) | const

inline virtual

Reimplemented from OBGenericData.

## operator=()

OBElectronicTransitionData & operator= | ( | const OBElectronicTransitionData & |  | ) |

## SetData()

void SetData | ( | const std::vector< double > & | vWavelengths,
|  | const std::vector< double > & | vForces )

Assign the basic excitation data.

Parameters

  vWavelengths | Wavelengths in nm
  vForces | Oscillator strengths

Referenced by operator=().

## SetEDipole()

void SetEDipole | ( | const std::vector< double > & | vEDipole | ) |

Assign the electronic dipole strengths.

Parameters

  vEDipole | Electronic dipole moment strength

Referenced by operator=().

## SetRotatoryStrengthsVelocity()

void SetRotatoryStrengthsVelocity | ( | const std::vector< double > & | vRotatoryStrengthsVelocity | ) |

Assign the rotatory strengths (velocity).

Parameters

  vRotatoryStrengthsVelocity | Vector containing the rotatory strengths

Referenced by operator=().

## SetRotatoryStrengthsLength()

void SetRotatoryStrengthsLength | ( | const std::vector< double > & | vRotatoryStrengthsLength | ) |

Assign the rotatory strengths (length).

Parameters

  vRotatoryStrengthsLength | Vector containing the rotatory strengths

Referenced by operator=().

## GetWavelengths()

std::vector< double > GetWavelengths | ( |  | ) | const

inline

## GetForces()

std::vector< double > GetForces | ( |  | ) | const

inline

## GetEDipole()

std::vector< double > GetEDipole | ( |  | ) | const

inline

## GetRotatoryStrengthsVelocity()

std::vector< double > GetRotatoryStrengthsVelocity | ( |  | ) | const

inline

## GetRotatoryStrengthsLength()

std::vector< double > GetRotatoryStrengthsLength | ( |  | ) | const

inline

## SetAttribute()

void SetAttribute | ( | const std::string & | v | ) |

inline inherited

Set the attribute (key), which can be used to retrieve this data.

Referenced by OBGastChrg::AssignPartialCharges(), OBMol::DoTransformations(), AliasData::Expand(), OBMol::FindLSSR(), OBMol::FindSSSR(), OBForceField::GetAtomTypes(), OBMol::GetFormula(), OBMol::GetLSSR(), OBForceField::GetPartialCharges(), OBMol::GetSSSR(), OBDescriptor::PredictAndSave(), and OBMol::SetFormula().

## SetOrigin()

void SetOrigin | ( | const DataOrigin | s | ) |

inline inherited

Set the origin of this data, which can be used to filter the data.

Referenced by OBGastChrg::AssignPartialCharges(), OBMol::DoTransformations(), OBMol::FindAngles(), OBMol::FindLSSR(), OBMol::FindSSSR(), OBMol::FindTorsions(), OBMol::GetFormula(), OBMol::GetLSSR(), OBMol::GetSSSR(), OBDescriptor::PredictAndSave(), and OBMol::SetFormula().

## GetAttribute()

virtual const std::string & GetAttribute | ( |  | ) | const

inline virtual inherited

Returns
  The attribute (key), which can be used to retrieve this data

Referenced by OBMoleculeFormat::MakeCombinedMolecule().

## GetDataType()

unsigned int GetDataType | ( |  | ) | const

inline inherited

Returns
  the data type for this object as defined in OBGenericDataType

## GetValue()

virtual const std::string & GetValue | ( |  | ) | const

inline virtual inherited

Base class returns a default value (the attribute type) but should never be called.

Reimplemented in OBCommentData, and OBPairData.

Referenced by OBDepict::DrawMolecule(), OBDescriptor::FilterCompare(), and OBDescriptor::GetValues().

## GetOrigin()

virtual DataOrigin GetOrigin | ( |  | ) | const

inline virtual inherited

## Member Data Documentation

## _vWavelengths

std::vector<double> _vWavelengths

protected

Wavelengths (nm).

Referenced by SetData().

## _vForces

std::vector<double> _vForces

protected

Oscillator strengths.

Referenced by SetData().

## _vEDipole

std::vector<double> _vEDipole

protected

Electric dipole strengths.

Referenced by SetEDipole().

## _vRotatoryStrengthsVelocity

std::vector<double> _vRotatoryStrengthsVelocity

protected

Rotatory strengths (velocity).

Referenced by SetRotatoryStrengthsVelocity().

## _vRotatoryStrengthsLength

std::vector<double> _vRotatoryStrengthsLength

protected

Rotatory strengths (length).

Referenced by SetRotatoryStrengthsLength().

## _attr

std::string _attr

protected inherited

attribute tag (e.g., "UnitCell", "Comment" or "Author")

Referenced by OBRotamerList::Clone(), GetAttribute(), GetValue(), OBGenericData(), OBNasaThermoData::OBNasaThermoData(), OBRotamerList::OBRotamerList(), OBSymmetryData::OBSymmetryData(), and SetAttribute().

## _type

unsigned int _type

protected inherited

attribute type – declared for each subclass

Referenced by OBRotamerList::Clone(), GetDataType(), OBGenericData(), OBNasaThermoData::OBNasaThermoData(), OBRotamerList::OBRotamerList(), and OBSymmetryData::OBSymmetryData().

## _source

DataOrigin _source

protected inherited

source of data for accounting

Referenced by GetOrigin(), OBGenericData(), OBSymmetryData::OBSymmetryData(), OBAngleData::operator=(), OBConformerData::operator=(), OBSymmetryData::operator=(), OBTorsionData::operator=(), and SetOrigin().

The documentation for this class was generated from the following files:

- generic.h
- generic.cpp